%define prefix /usr
%define name lxautostart
%define version 0.7.1
%define release %mkrel 1
%define url www.pclinuxos.com

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/LXDE
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Simple GUI to starts automaticly applications 
Summary(de):	Einfache GUI zum automatischen start von Anwendungen
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	bash, gtkdialog, yad
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2
Obsoletes:	%name < %version

%description
Simple task to set up applications to automatically start 
whenever you start the LXDE-desktop.
"Proof of concept" idea by parnote.

#german
%description -l de
Einfache Aufgabe zum einrichten von Anwendungen, die automatisch 
gestartet werden nach Systemstart von der LXDE Desktop Umgebung.
"Proof of concept" Idee von parnote.

%prep

%setup -q -n %{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name}.sh $RPM_BUILD_ROOT%{_bindir}

mkdir -p %{buildroot}%{_datadir}/icons
install -m 644 %{name}.png %{buildroot}%{_datadir}/icons/%{name}.png

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
install -m 644 w%{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/w%{name}.png

mkdir -p %{buildroot}%{_docdir}/%{name}
install -m 644 Readme.txt COPYING Image.png Hilfe.html %{buildroot}%{_docdir}/%{name}/
cp -a Help %{buildroot}%{_docdir}/%{name}/


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=LXAutostart
Name[de]=LXAutostart
Comment=Automatically start listed applications when LXDE starts.
Comment[de]=Automatisch aufgelistet Anwendungen starten, wenn LXDE gestartet wurde.
Exec=%{_bindir}/%{name}.sh
Icon=%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration
Encoding=UTF-8
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,sr}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.sh.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de_DE.po
msgfmt -o  %{buildroot}%{_datadir}/locale/sr/LC_MESSAGES/%{name}.sh.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-sr_SR.po

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}.sh
%{_datadir}/icons/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/w%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*
%{_docdir}/%{name}/*


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Tue Mar 09 2021 daniel <> 0.7.1-1pclos2021
- rebuild with latest yad

* Sun Mar 08 2020 daniel <meisssw01 at gmail.com> 0.7.0-1pclos2020
- rebuild for latest gtkdialog

* Mon Aug 26 2019 daniel <meisssw01 at gmail.com> 0.6.9-1pclos2019
- rebuild with latest yad 

* Sat Jun 24 2017 daniel <meisssw01 at gmail.com> 0.6.8-1pclos2017
- add command syndeamon

* Fri Feb 28 2014 dmw <meisssw01 at gmail.com> 0.6.7-1free2014
- fix some bugs
 
* Tue Oct 02 2012 Neal <nealbrks0 at gmail dot com> 0.6.6-1pclos2012
- process

* Mon Oct 01 2012 daniel <meisssw01 at gmail.com> 0.6.6-1leiche2012
- rebuild for latest gtkdialog
- changes some commands

* Thu Dec 08 2011 leiche <meisssw01 at gmail.com> 0.6.5-2leiche2011
- fix icon issues on window

* Sun Nov 07 2011 leiche <meisssw01 at gmail.com> 0.6.5-1pclos2011
- rebuild main window

* Wed Nov 02 2011 leiche <meisssw01 at gmail.com> 0.6.4-1leiche2011
- remove zenity completely

* Thu Oct 20 2011 leiche <meisssw01 at gmail.com> 0.6.3-1leiche2011
- fix new bugs
- add yad dialog, to hide frame on some windows

* Mon Oct 03 2011 leiche <meisssw01 at gmail.com> 0.6.2-1leiche2011
- fix some bugs
- remove refresh button
- don't need a restart, after add, or remove a starter

* Tue Sep 21 2011 leiche <meisssw01 at gmail.com> 0.6.1-1leiche2011
- add refresh button

* Fri Jul 15 2011 leiche <meisssw01 at aol.com> 0.6.0-2leiche2011
- rebuild

* Sun Apr 03 2011 leiche <meisssw01 at aol.com> 0.6.0-1leiche2011
- add requires for new glibc
- change design of main window,
  now is added, or available starter displayed.
  
* Sun Jan 23 2011 leiche <meisssw01 at aol.com> 0.5.6-1pclos2011
- add sort function, and removed path

* Thu Oct 14 2010 leiche <meisssw01 at aol.com> 0.5.5-1pclos2010
- add backsave, to restore autostart script, 
- by clicking on x on border window, or lost of 
- other way this function.
 
* Fri Sep 24 2010 leiche <meisssw01 at aol.com> 0.5-1pclos2010
- fix bug
- add entry dialog 
- add icons to button (eyecandy)

* Tue Sep 21 2010 leiche <meisssw01 at aol.com> 0.4-1pclos2010
- add remove button, to disable application at startup
 
* Sun Sep 19 2010 leiche <meisssw01 at aol.com> 0.3-1pclos2010
- add file list 
- add gtkdialog to handle main window

* Thu Sep 16 2010 leiche <meisssw01 at aol.com> 0.2-3pclos2010
- add question dialog for closing

* Wed Sep 15 2010 leiche <meisssw01 at aol.com> 0.2-2pclos2010
- add serbian language

* Tue Sep 14 2010 leiche <meisssw01 at aol.com> 0.2-1pclos2010
- fix description by Neal
- add own icon, created by Neal
- fix autostart folder issues
- add german language

* Mon Sep 13 2010 leiche <meisssw01 at aol.com> 0.1-1pclos2010
- first build for testing

